> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Template Human Readable

> Get a human-readable representation of a template's protocol.

Parameters
----------
template_id : str
    ID of the template.

Returns
-------
str
    Human-readable protocol text.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /experiment_templates/{template_id}/human_readable
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /experiment_templates/{template_id}/human_readable:
    get:
      tags:
        - experiment_templates
      summary: Get Experiment Template Human Readable
      description: |-
        Get a human-readable representation of a template's protocol.

        Parameters
        ----------
        template_id : str
            ID of the template.

        Returns
        -------
        str
            Human-readable protocol text.
      operationId: >-
        get_experiment_template_human_readable_experiment_templates__template_id__human_readable_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````